Name:           signon-plugin-oauth2
Version:        0.24
Release:        %mkrel 1
Summary:        OAuth2 plugin for the Accounts framework
Group:          Development/KDE and Qt
License:        LGPLv2+
URL:            https://gitlab.com/accounts-sso/signon-plugin-oauth2
Source0:        https://gitlab.com/accounts-sso/%{name}/repository/archive.tar.gz?ref=VERSION_%{version}#/%{name}-%{version}.tar.xz
Patch0:         signon-plugin-oauth2-0.22-Wno-error.patch
Patch1:         signon-plugin-oauth2-0.22-dont-install-examples-and-tests.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt5)

Requires:       signon
Requires:       signon-ui

%description
OAuth2 plugin for the Accounts framework.

%files
%{_libdir}/signon/liboauth2plugin.so

#----------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%files devel
%{_includedir}/signon-plugins/
%{_libdir}/pkgconfig/signon-oauth2plugin.pc

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i 's|/lib|/%{_lib}|' src/signon-oauth2plugin.pc

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Sun Jan 01 2017 daviddavid <daviddavid> 0.24-1.mga6
+ Revision: 1079338
- new version: 0.24

* Fri Jul 15 2016 daviddavid <daviddavid> 0.22-1.mga6
+ Revision: 1042210
- imported package signon-plugin-oauth2

